Subject: RE: [External] : Re: bug#23010: 25.1.50; Isearch help key to indicate current search state/mode

From: Drew Adams <[email-masked]>
Date: Thu, 12 May 2022 17:43:03 +0000

> So do you suggest something like what query-replace does
> where typing `?' displays help about replacements?
> Such a buffer could have a different name, e.g.
> " *Isearch status*" and display the values
> of all togglable options.

Please read the bug report.  I made several suggestions
in this regard.  But yes, what you ask was included in
the suggestions.
___

I've also made other suggestions elsewhere, regarding
showing more such state in the mode-line.  And I do
that in isearch+.el.  E.g., mode-line lighter tells
you whether case-sensitive and whether regexp searching:

(if case-fold-search
    (if isearch-regexp " R*SEARCH" " ISEARCH")
  (if isearch-regexp " R*search" " Isearch"))

But adding char-folding and other state would be
unmanageable with just a lighter.  I don't suggest
trying to make the lighter communicate more - the
result would be more confusing than helpful.